pg_verify_checksums
Prev | Up | PostgreSQL Server Applications | Home | Next

## pg_verify_checksums

pg_verify_checksums — verify data checksums in an offline PostgreSQL database cluster

## Synopsis

`pg_verify_checksums` [`option`] [[`-D`] [`--pgdata`] `datadir`]

## Description

`pg_verify_checksums` verifies data checksums in a PostgreSQL cluster.

## Options

The following command-line options are available:

`-D `directory``
`--pgdata=`directory``

  Specifies the directory where the database cluster is stored.

`-r `relfilenode``

  Only validate checksums in the relation with specified relfilenode.

`-d`

  Enable debug output. Lists all checked blocks and their checksum.

`-V`
`--version`

  Print the pg_verify_checksums version and exit.

`-?`
`--help`

  Show help about pg_verify_checksums command line arguments, and exit.

## Environment

`PGDATA`

  Specifies the directory where the database cluster is stored; can be overridden using the `-D` option.

## Notes

The cluster must be shut down cleanly before running pg_verify_checksums.

Prev | Up | Next
pg_upgrade | Home | pg_waldump